
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET优化:Sql注入和Html注入的黑帽SEO / iVAN</title>

    <meta name="description" content="ASP.NET优化:Sql注入和Html注入的黑帽SEO 黑帽(black hat)SEO主要是指采取&quot;不怎么道德&quot;(暂时就这么形容吧!)的方式进行搜索引擎优化. 1. 注入攻击,包括Sql注入和Html注入.我经常能看到对Sql注入防范的谈论,但对于Html注入,很多人并没有引起足够的重视.为了展示Html注入的效果,我们模仿了一个常见的留言本功能. 首先,在页面声明中添加两个属性设置EnableEventValidation=&quot;false&quot; ValidateRequest=&quot;false&quot;  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET优化:Sql注入和Html注入的黑帽SEO</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>黑帽（black hat）SEO主要是指采取“不怎么道德”（暂时就这么形容吧！）的方式进行搜索引擎优化。</p>
<p>1. 注入攻击，包括Sql注入和Html注入。我经常能看到对Sql注入防范的谈论，但对于Html注入，很多人并没有引起足够的重视。为了展示Html注入的效果，我们模仿了一个常见的留言本功能。</p>
<p>首先，在页面声明中添加两个属性设置EnableEventValidation=“false” ValidateRequest=“false” ，这很关键，读者可以试一下如果不这样设置会有什么效果。</p>
<table>
<tr>
<td>&lt;%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" EnableEventValidation="false" ValidateRequest="false" %&gt;</td>
</tr>
</table>
<p>然后，前台页面和后台代码段分别如下：</p>
<table>
<tr>
<td>&lt;asp:TextBox ID="txtInput" runat="server" Height="95px" Width="405px" TextMode="MultiLine"&gt;&lt;/asp:TextBox&gt;<br />        &lt;asp:Button ID="btnSubmit" runat="server" Text="Simple Submit"<br />            onclick="btnSubmit_Click" /&gt;<br />        &lt;asp:Label ID="lblShow" runat="server"&gt;&lt;/asp:Label&gt;</td>
</tr>
</table>
<table>
<tr>
<td>    protected void btnSubmit_Click(object sender, EventArgs e)<br />    {<br />        this.lblShow.Text = this.txtInput.Text;<br />    }</td>
</tr>
</table>
<p>程序很简单，将用户输入的内容再显示出来而已。运行代码，然后输入我们的恶意代码，提交。</p>
<table>
<tr>
<td>&lt;p&gt;Sanitizing &lt;img src=""INVALID-IMAGE" onerror='location.href="http://too.much.spam/"'&gt;!&lt;/p&gt;</td>
</tr>
</table>
<p>我们会发现页面自动跳转到http://too.much.spam/页面！这就是所谓的“Html注入”。当page页面render到客户端后，浏览器会按一个普通的html页面进行解析；当解析到上面的js代码时……</p>
<p>为了避免这种入侵，在asp.net中，我们最简单的处理方式就是对输入的内容进行“Html编码”。将后台代码改为：</p>
<table>
<tr>
<td>    protected void btnSubmit_Click(object sender, EventArgs e)<br />    {<br />        this.lblShow.Text = this.Server.HtmlEncode(this.txtInput.Text);<br />    }</td>
</tr>
</table>
<p>现在我们再运行代码，发现源代码被原样输出显示在页面，并没有运行。为什么呢？查看输出页面的源代码：</p>
<p>&lt;span id="lblShow"&gt;&lt;p&gt;Sanitizing &lt;img src=""INVALID-IMAGE" onerror='location.href="http://too.much.spam/"'&gt;!&lt;/p&gt;&lt;/span&gt;</p>
<p>整理后，我们发现如下的映射转换：</p>
<p>&lt;  --  &lt;  (less than)<br />&gt;  --  &gt;  (greater than)<br />"  --  "   (quota)</p>
<p>所以js无法执行，但在页面显示时，我们确能看到“原汁原味”的js内容。</p>
<p>但问题并没有结束，现实世界中，输入的内容除了恶意代码以外，还可能有如下的内容：</p>
<table>
<tr>
<td>&lt;span style=" color:blue"&gt;黑帽&lt;/span&gt;（black hat）SEO主要是指采取&lt;span style=" color:blue"&gt;“不怎么道德”&lt;/span&gt;（暂时就这么形容吧！）的方式进行搜索引擎优化。</td>
</tr>
</table>
<p>我们希望显示蓝色的文字，但经过编码后，显然无法达到我们的效果。为此，我们还需要进行更精确的过滤。这也是为什么之前我们要设置EnableEventValidation=“false” ValidateRequest=“false”的现实原因。</p>
<p>其实我最先想到的方案是：首先对整个内容进行编码，然后把我们允许使用的html标签再替换回来。这样是相当保险的，但是在具体的操作中，遇到了很多问题，这个郁闷啊~~~（如果有谁有这种实现的实现代码，千万要拿出来大家分享一下呀）。</p>
<p>我先介绍另一种方案：</p>
<p>首先要取出标签，如，&lt;span style=“ color:blue”&gt;、&lt;/span&gt;和&lt;script &gt;，我们的替换范围仅局限于标签 &lt; &gt; 之间的内容。</p>
<p>然后获取所有的标签名称、属性的名称和值，如果有禁止出现的内容，就替换掉。可能的恶意代码形式如下所示：</p>
<p>标签的名称： &lt;script &lt;/script</p>
<p>标签里的属性：&lt;span onclick</p>
<p>属性的值：&lt;img onerror=“javascript:'</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 02:34:18</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%be%93%e5%85%a5/" title="输入">输入</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e7%ad%be/" title="标签">标签</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ae%b9/" title="内容">内容</a>, <a href="https://www.iamivan.net/tag/%e6%81%b6%e6%84%8f/" title="恶意">恶意</a>, <a href="https://www.iamivan.net/tag/false/" title="false">false</a>, <a href="https://www.iamivan.net/tag/js%e6%b3%a8%e5%85%a5%e9%97%ae%e9%a2%98/" title="js注入问题">js注入问题</a>, <a href="https://www.iamivan.net/tag/html%e6%b3%a8%e5%85%a5/" title="html注入">html注入</a>, <a href="https://www.iamivan.net/tag/2918%e6%9c%89%e8%b0%81%e6%9c%89/" title="2918有谁有">2918有谁有</a>, <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7%e6%b3%a8%e5%85%a5/" title="属性注入">属性注入</a>, <a href="https://www.iamivan.net/tag/asp%e7%bc%96%e7%a0%81%e4%bc%98%e5%8c%96/" title="Asp编码优化">Asp编码优化</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET优化:Sql注入和Html注入的黑帽SEO的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRQBeb.html" rel="bookmark">解读百度优化指南：黑帽SEO的界定标准</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家好,我是虚子雨.前面的文章中给大家谈到了自己关于白帽SEO的一些看法,对于白帽SEO我们看似是一件容易把握,却又最容易犯错误的一件事情,大家可以想想自己在优化网站的时候是不是经常等到出问题了才知道这样的操作不可行,这是因为搜索引擎实际上并没有十分明确的规定白帽SEO和黑帽SEO的界限,除了特别规定的一些操作绝对不可行之外,还有不少操作介于白帽和黑帽SEO之间,这就加大了SEO的难度,而如果我们能够很好地把握白帽和黑帽,你的SEO技术肯定能够得到很大的提升,你的网站优化起来肯定就更加得心应手,			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMleJ8p.html" rel="bookmark">揭秘黑帽seo所谓的&OpenCurlyDoubleQuote;新型seo优化&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近一段时间在互联网上刮起了一阵seo优化培训风,很多培训机构大势宣扬所谓的新型seo.各大站长讨论平台随处可见各种类似的广告,一些&quot;三天排名进前三&quot;.&quot;6小时进百度首页&quot;.&quot;无需更新文章,动动鼠标就能排名&quot;等等,正在误导着很多想进入互联网行业的新手站长们.   从百度指数的截图中可以看出,虽然&quot;刷百度排名&quot;这个词语算不上很热门,但是也是具有一定的搜索量的.那么百度排名真的只要鼠标点几下就能上来了吗?嘉兴seo对于这种新型se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl31Nb.html" rel="bookmark">张全：黑链 SEO优化终点前的最后一击</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				黑帽SEO,一直是各位SEOer不敢触碰的一个雷区.在众多黑帽SEO技巧中,能够在搜索引擎中取得比较好的排名的黑帽SEO技巧,无非就两种&quot;黑链&quot;以及&quot;站群&quot;.今天张全就与大家讨论一下黑帽SEO中的黑链.   黑链,到底能够达到什么样的效果? 要是我们把百米赛跑看作一个网站的优化周期,那么黑链就必定是那达到终点前的冲刺.任何的SEOer在优化网站之前,肯定都会分析其竞争对手,主要的目的就是想获得对方的外链资源,立秋做到人有我有.但是当网站快要进入最后冲刺的阶段,你会发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNER6p.html" rel="bookmark">网站优化中的常见的黑帽优化  隐藏链接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今天无意间搜寻到一网站,很明显可以看出具有关键字叠加的特征!而且在百度和谷歌都排名第三,确定是这几天排名才冲上来的,因为先前并没有注意到这个网站. 黑帽SEO的案例 - 百度排名第3 图一 可以发现到搜寻引擎抓取到的内容,布满了关键字,怪不得排名能这么快冲上来,心想,又是一个搞黑帽SEO的的家伙!由于机会难得,二话不说马上点进网站想看看用的是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ9670b.html" rel="bookmark">Seo网站优化到底什么是黑帽和白帽</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 seo网站优化已经不是什么很稀奇的行业,在seo里面有很多术语,就拿我们的标题来说什么是黑帽seo和白帽seo,我们笼统的来说在seo行业里面所有对seo进行作弊的手段,全部可以称呼为黑帽seo.打个比方来说就像,网站的垃圾外链.关键字堆积.隐藏网页.多做一些桥接等等这也是我们常见的作弊手段,用这种手段做seo那么他就可以说是黑帽. 我们先不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bo9eXp.html" rel="bookmark">ASP网页防SQL注入的代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日笔者的小站遭受到SQL入侵,于是上网搜索了一些相关防SQL注入的方法. 版本颇多,有人觉得这段好用,有人以为那段才行,因此综合整理了一下,包含以下几种: 以下为引用的内容:&lt;% Dim Fy_Url,Fy_a,Fy_x,Fy_Cs(),Fy_Cl,Fy_Ts,Fy_Zx '---定义部份 头------ Fy_Cl = 1 '处理方式:1=提示信息,2=转向页面,3=先提示再转向 Fy_Zx = &quot;index.Asp&quot; '出错时转向的页面 '---定义部份 尾------ O			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YE0VM.html" rel="bookmark">asp get post sql防注入函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp get post sql防注入函数 '----实现get请求的注入的拦截----- dim sql_injdata,Sql_Inj,SQL_Get,Sql_Post,Sql_DATA SQL_injdata = &quot;'|and|exec|insert|select|delete|update|count|*|%|chr|mid|master|truncate|char|declare&quot; SQL_inj = split(SQL_Injdata,&quot;|&quot;) If R			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZZqap.html" rel="bookmark">构建ASP&period;NET MVC4&plus;EF5&plus;EasyUI&plus;Unity2&period;x注入的后台管理系统（14）-系统小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:构建ASP.NET MVC4+EF5+EasyUI+Unity2.x注入的后台管理系统(14)-系统小结 不知不觉已经过了13讲,(本来还要讲多一讲是,数据验证之自定义验证,基于园友还是对权限这块比较敢兴趣,讲不讲验证还是看大家的反映),我们应该对系统有一个小结.首先这是一个团队开发项目,基于接口编程,我们从EasyUI搭建系统的框架开始,开始了一个样例程序对EasyUI的DataGrid进行了操作,并实现Unity的注入到容器,使程序 的性能大大提升,代码质量上升,更佳利于单元测试,使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7YRWM.html" rel="bookmark">&period;Net框架搭建之2、SQL Server MEF依赖注入 MVC Repository框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MEF依赖注入简介 依赖注入对于开发人员来说,方便的就是不需要去关注具体的实现类,不需要去New实例对象,直接使用接口层就能让程序自动注入使用,当然,还有其他一些特点,比如web http同一个请求中可以设置同一个对象只实例化一次解决多个类中多次实例化对象浪费资源的问题.不多说,百度能得到更多 多的介绍,这边直接开工搭环境. 1.数据模型Model层创建 数据模型层,首先要创建数据库,再创建Model类. 创建数据库,表,添加一条测试数据 创建数据库 创建数据表 添加测试数据 我们已经知道有几层			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwX0Eb.html" rel="bookmark" class="title">XML学习：应当如何使用XML语言</a>
					<div>
						xml 首先要明确的是:XML是被设计用来存储数据.携带数据和交换数据的,他不是为了显示数据而设计的. XML可以从HTML中分离数据 通过XML,你可以在HTML文件之外存储数据.在不使用XML时, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmk9lb.html" rel="bookmark" class="title">ASP&period;NET数据库编程</a>
					<div>
						asp.net|编程|数据|数据库 ASP.NET中的ADO.NET和ASP中的ADO相对应,它是ADO的改进版本.在ADO.NET中,通过Managed Provider所提供的应用程序编程接口(A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz49Erb.html" rel="bookmark" class="title">SEO优化网站外部链接全攻略</a>
					<div>
						大家好,对于一个网站来说外连的占比是很大的,不管是任何一个做SEO的都会提到关于网站的外部链接,因为对于一个站点优化来说网站链接也属于是一个长期性工程,我们说如果把SEO分为轻重缓急来说,那么我相信大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3eeNp.html" rel="bookmark" class="title">C&plus;&plus;中类模板的部分定制和定制成员</a>
					<div>
						类模板的部分定制, 是指使用类模板的类型(T), 但是不同种类, 如左值, 右值等; 类模板的部分定制, 和类模板定制相同, 都需要类名相同,参数相同; 定制的形参(parameter)比原始模板(o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl848b.html" rel="bookmark" class="title">ps怎么把两张图片合成一张</a>
					<div>
						  1.用ps打开两张杨幂的写真. 2.在工具里选择&quot;移动工具&quot;,按住鼠标左键把第二个图片拖动到第一个图片里.由于第二张写真的像素有点大,所以会把原来的图片覆盖住的,通过鼠标稍微移 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bade7Jz.html" rel="bookmark" class="title">win7系统当作无线路由器来使用设置方法</a>
					<div>
						  在进行无线路由器的初次设置时,一般的步骤是先做好物理连接,将无线路由器的WAN广域网口连接到ADSLMODEM,将无线路由器的一个局域网口连接到一台设置用的电脑上. 然后将电脑设置为自动获取IP地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WgRnb.html" rel="bookmark" class="title">win7电脑如何在任务管理器中查看开机运行时间？</a>
					<div>
						  对于咱们的win7 64位旗舰版下载电脑来说,任务管理器窗口是一个非常重要的功能,同时,也是一个非常实用的功能,因为在这个窗口中,咱们不仅可以对win7旗舰版系统中的程序进行管理操作,还能查询到关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxm65b.html" rel="bookmark" class="title">网站提供 下载方法-求助：网站如何实现APP地址功能</a>
					<div>
						问题描述 求助:网站如何实现APP地址功能 请问如何实现在网站上提供APP下载的链接的方法(包含WAP版的网站).就想类似一号店.京东中的手机版中提供的方式.通过扫描2维码或者点击链接弹出APP.尤其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl05mb.html" rel="bookmark" class="title">添加-sql如何为字段加单位？？？？？？</a>
					<div>
						问题描述 sql如何为字段加单位?????? create table 表名(字段1 varchar) 如上,我想为字段1添加单位(千米),sql怎么写 解决方案 select 字段1||'千米' f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z400Ajz.html" rel="bookmark" class="title">《Thinking in Java》习题&mdash;&mdash;吸血鬼数字</a>
					<div>
						最近在看&lt;Java编程思想&gt;,这本书非常棒,不愧是Java程序员的圣经.看到第四章,后面有道题目很有意思,于是就自己做了做.          1. 我的思路很简单,但是算法效率非常之低. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAENAM.html" rel="bookmark" class="title">检查网站外链工具</a>
					<div>
						问题描述 有没有这种工具,就是能查看访问网页后,这个网页自动访问的外部js.css等文件,除了firebug,有其他相关工具吗?检查整个网站的外链 解决方案 解决方案二:没有人知道吗??					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7Ewwp.html" rel="bookmark" class="title">《IP路由协议疑难解析》一1&period;3　动态路由</a>
					<div>
						1.3 动态路由 IP路由协议疑难解析 上一节简要概述了什么是IP路由选择,指出了在大型网络中启用动态路由协议的必要性.本节将讨论IP路由协议分类及特征.虽然所有路由协议都以收集路由信息,支撑路由器转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBZ31b.html" rel="bookmark" class="title">Excel 2007中删除重复行的方法</a>
					<div>
						我们在使用http://www.aliyun.com/zixun/aggregation/16544.html&quot;&gt;Excel 2007的过程中,常常会遇到重复的数据行需要删除,对于不是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Aa84z.html" rel="bookmark" class="title">江南春折戟Q卡：O2O广告媒体帝国梦难圆</a>
					<div>
						文 i黑马 王采臣分众Q卡,于2011年10月9日正式推出,2012年下半年逐渐销声匿迹.这张小巧别致的小卡,背后是分众传媒当家人江南春的O2O广告媒体帝国梦.&quot;江希望将借Q卡完成分众传媒广 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW8X8z.html" rel="bookmark" class="title">git gitignore 忽略文件例子</a>
					<div>
						今天没有先git pull,服务器和本地两个文件不符,导致无法同步,网上搜的方法,解决步骤如下: 先git stash,然后git pull以后发现本地修改的.gitignore依然被同步,原因是.g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXZX4z.html" rel="bookmark" class="title">Atmel拓展SmartConnect无线产品组合 推出面向物联网应用的云就绪Wi-Fi&sol;蓝牙组合平台</a>
					<div>
						全球微控制器(MCU)及触控解决方案领域的领导者Atmel近日宣布,公司已拓展其业内领先的SmartConnect无线产品组合,面向快速增长的物联网(IoT)市场,新增一款无线组合片上系统(SoC). ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKY2y5p.html" rel="bookmark" class="title">Java 如何启用 ARM 虚拟机诊断</a>
					<div>
						现象描述 如何通过 Java 语言实现在创建 ARM 虚拟机时开启诊断,并配置相关指标. 实现思路 调研最高版本的 JAVA SDK(1.1.0)源码发现,SDK 层面并未提供任启动诊断和配置诊断的相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJlLEp.html" rel="bookmark" class="title">美国防承包商博思艾伦泄露五角大楼相关敏感文件</a>
					<div>
						网络安全公司UpGuard的网络风险分析师克里斯·维克里发现,来自美国国家地理空间情报局(简称NGA)的某美国军方项目将超过6万份敏感文件存储于Amazon云存储服务器之上,且无需任何身份验证即可访问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ro3az.html" rel="bookmark" class="title">Linux有问必答：如何使用Linux命令行检测DVD刻录机的名字和读写速度</a>
					<div>
						Linux有问必答:如何使用Linux命令行检测DVD刻录机的名字和读写速度 提问:我想要知道我的DVD刻录机的名字和在烧录时的速度.该使用什么Linux命令行工具来连测DVD刻录机的设备名和速度?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoLA7M.html" rel="bookmark" class="title">设计行业省钱的最佳途径</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 3721.html&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJXNmp.html" rel="bookmark" class="title">用python做测试实现高性能测试工具&lpar;5&rpar;&mdash;多进程写log</a>
					<div>
						在上一篇中解决了系统的性能问题,但写log又引入了问题,多进程写log会引起混乱. 查询了多进程写log 的方案, 主要有2种: 利用多进程的Queue,把log放到统一的有个log queue里面, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEndKM.html" rel="bookmark" class="title">俄罗斯方块-Java frame中调用了setContentPane&lpar;new Panel&lpar;&rpar;&rpar;&semi;方法，但不显示Panel</a>
					<div>
						问题描述 Java frame中调用了setContentPane(new Panel());方法,但不显示Panel 代码如下:PanelGame类: package ui; import java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye7r4M.html" rel="bookmark" class="title">iPhone6 plus横屏进入app 应用才能还是保持竖屏</a>
					<div>
						问题描述 iPhone6 plus横屏进入app 应用才能还是保持竖屏 iPhone6 plus横屏进入app(部分页面支持自动旋转屏幕) 应用才能还是保持竖屏 解决方案 你的问题是什么??? 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnlGxM.html" rel="bookmark" class="title">Linux 平台MySQL启动关闭方式总结</a>
					<div>
						  MySQL的启动方法有很多种,下面对比.总结这几种方法的一些差异和特性,下面实验的版本为MySQL 5.6.如有疏漏或不足,敬请指点一二.   1:使用mysqld启动.关闭MySQL服务     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ77op.html" rel="bookmark" class="title">怎么让TreeView的子节点像LinkLable那样&quest;</a>
					<div>
						问题描述 运行时根据数据库动态生成了Treeview,怎么让子节点像LinkLable那样的外观和鼠标事件呢?急,在线等待 解决方案 解决方案二:TreeView1.HotTracking=True' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWR7kz.html" rel="bookmark" class="title">针对浏览器隐藏CSS&lowbar;CSS&sol;HTML</a>
					<div>
						我们都知道浏览器之间是有差异的,很多人在使用XHTML+CSS方式制作网页的时候都曾为此无比头痛.要在这些差异的影响下工作需要很多的技巧,&quot;隐藏CSS&quot;就是其中很重要的一种技巧(甚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqLE5p.html" rel="bookmark" class="title">jquery正则匹配空行代码</a>
					<div>
						规则匹配 用s+      用s*      可以都试试.哈哈  一些常用的正则表达式 &quot;^/d+$&quot; //非负整数(正整数 + 0) &quot;^[0-9]*[1-9][0-9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0xl5z.html" rel="bookmark" class="title">php项目打包方法第1&sol;2页&lowbar;php技巧</a>
					<div>
						企业网站好说,至少需要个虚拟主机什么的:可是OA,财务--这些内部系统就不好说了,总不能把代码和数据库扔给人家,写个说明,让他们自己照着说明去配置环境,安装代码吧.这样显然不像话,要知道隔行如隔山啊! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmYBRp.html" rel="bookmark" class="title">如何针对Google给网站进行优化</a>
					<div>
						文档从网站的内部.外部优化作了大致的指向.其中有一句话,我想大家应该比较注意:&quot;读了这个文档,并且按照它去做,不能保证排在google的第一位,但是可以得到一个相对较好的排名&quot;.首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1Zj2M.html" rel="bookmark" class="title">新款Apple TV开箱图</a>
					<div>
						今天是NewiPad和 AppleTV在美国上市的日子,和iPad的排队购买不通,AppleTV由于需求较少,发货情况相当顺畅,有些人甚至还提前拿到了这款99美元设备,接下来我们一起来看一下这款支持1 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
